:root {
    --comman-radious: 3px;
    --comman-padding: 25px 40px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Rubik', sans-serif;
}

.main {
    min-height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #dbdbe6;
}

.main-card {
    max-width: 440px;
    width: 100%;
    border-radius: 20px;
    background-color: #fff;
    /*padding: 50px;*/
}

#recaptcha {
    margin-top: 20px;
    margin-left: 6%;
}

.card-top {
    display: flex;
    min-height: 100px;
    justify-content: space-between;
    flex-direction: column;
    padding: var(--comman-padding);
}

.card-bottom {
    background-color: #f6f6fb;
    display: flex;
    flex-direction: column;
    padding: var(--comman-padding);
    border-radius: 0 0 20px 20px;
}

.card-top h3,
p {
    padding-top: 15px;
}

.card-top h3 {
    font-size: 1.3rem;
}

.card-top p {
    font-size: 0.7rem;
}

.neoistone-input {
    margin-top: 15px;
    width: 100%;
    padding: 16px;
    border: 1px solid #eee;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: var(--comman-radious);
}

.neoistone-input .option {
    font-size: 0.8rem;
}

.neoistone-input:disabled {
  background-color: #f2f2f2;  /* Light gray background */
  border-color: #ccc;         /* Lighter border */
  color: #888;                /* Text color */
  cursor: not-allowed;        /* Change cursor to indicate it's disabled */
  opacity: 0.6;               /* Slightly transparent */
}

.card-top h3,
.sign-as,
h4,
input,
.btn-grp {
    margin-top: 15px;
}

.card-bottom h3 {
    font-size: 0.9rem;
}

.card-bottom h4 {
    font-size: 0.9rem;
    justify-content: center;
    margin-left: -20px;
}

.neoistone-grid {
    display: grid;
    grid: 50px / auto auto auto;
    justify-content: space-between;
    align-items: center;
}

.social {
    width: 33%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid #eee;
    background-color: #fff;
    padding: 10px 15px;
    border-radius: var(--comman-radious);
    width: 104px;
    cursor: pointer;
    transition: 0.3s;
    margin-bottom: 10px;
    margin-right: 4px;
    color: black;
    text-decoration: none;
}

.social:hover {
    transform: scale(1.1);
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.1);
}

.social .logo img {
    width: 20px;
    height: 20px;
    object-fit: cover;
}

.social span {
    font-size: 0.7rem;
    padding-left: 5px;
}

.card-top .btn-grp {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-top .btn-grp #submit_login {
    width: 100%;
    padding: 17px 20px;
    cursor: pointer;
    font-size: 0.7rem;
    background-color: #1d1d1f;
    border: none;
    color: #fff;
    transition: 0.5s;
}

.card-top .btn-grp #passkey {
    color: black;
    font-weight: 600;
    font-size: 14px;
    border: 1.2px solid black;
    padding: 8px;
    width: 100%;
    text-align: center;
    background-color: #00000000;
    cursor:pointer;
}

.card-top .btn-grp #passkey .icon-passkey {
    display: inline-block;
    width: 25px;
    height: 25px;
    background-image: url('data:image/svg+xml;utf8,<svg width="25px" height="25px" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 1.2A4.8 4.8 0 1 0 16.8 6 4.805 4.805 0 0 0 12 1.2zm0 8.6A3.8 3.8 0 1 1 15.8 6 3.804 3.804 0 0 1 12 9.8zM9 22H4l.01-4.5A5.498 5.498 0 0 1 9.5 12h4.312a5.968 5.968 0 0 0-.462 1H9.5A4.505 4.505 0 0 0 5 17.5V21h4zm10-10.9a3.9 3.9 0 0 0-3.9 3.9 3.86 3.86 0 0 0 .225 1.255L11 20.727V23h2.993l.023-.01L15 22v-1h1.005L17 20v-1h1.004l.186-.187A3.9 3.9 0 1 0 19 11.1zm0 6.9a2.973 2.973 0 0 1-1.223-.267l-.272.267H16v2h-2v1.674l-.408.326H12v-.906l4.419-4.591A2.965 2.965 0 0 1 16 15a3 3 0 1 1 3 3zm.5-5a1.5 1.5 0 1 0 1.5 1.5 1.5 1.5 0 0 0-1.5-1.5zm0 2a.5.5 0 1 1 .5-.5.501.501 0 0 1-.5.5z"/><path fill="none" d="M0 0h24v24H0z"/></svg>');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    vertical-align: middle;
    margin-right: 8px;
}

.copyright {
    font-size: .7rem;
}

.neoistone_new {
    display: grid;
    justify-content: space-between;
    grid: 50px / auto auto auto;
}

.cred {
    color: red;
}

.bred {
    background: red;
}

.cblue {
    color: blue;
}

.bblue {
    background: blue;
}

.message {
    font-size: 0.8rem;
    margin-top: 8px;
    margin-left: 4px
}

.neoistone_error {
    border: 1px solid red;
}

.iti--allow-dropdown {
    margin-top: 15px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: var(--comman-radious);
}

#loader-wrapper {
    position: absolute;
    left: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0000008c
}

#loader-wrapper .loader-section {
    position: fixed;
    top: 0;
    width: 51%;
    height: 100%;
    z-index: 1000
}

#loader:after,
#loader:before {
    content: "";
    position: absolute
}

#loader-wrapper .loader-section.section-left {
    left: 0
}

#loader-wrapper .loader-section.section-right {
    right: 0
}

#loader {
    display: block;
    position: relative;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #3498db;
    -webkit-animation: 2s linear infinite spin;
    animation: 2s linear infinite spin;
    z-index: 1001
}

#loader:before {
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #e74c3c;
    -webkit-animation: 3s linear infinite spin;
    animation: 3s linear infinite spin
}

#loader:after {
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #f9c922;
    -webkit-animation: 1.5s linear infinite spin;
    animation: 1.5s linear infinite spin
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        transform: rotate(0)
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        transform: rotate(0)
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

.loaded #loader {
    opacity: 0;
    -webkit-transition: .3s ease-out;
    transition: .3s ease-out
}

.loaded #loader-wrapper {
    visibility: hidden;
    -webkit-transition: .3s ease-out .3s;
    transition: .3s ease-out .3s
}

.no-js #loader-wrapper {
    display: none
}

.no-js h1 {
    color: #222
}


.checkbox {
    margin: 30px;
}

/* Hide the browser's default checkbox */
.neoistone-checkbox {
    float: left;
    margin-right: 8px;
    margin-bottom: 12px;
}

.checkbox p {
    float: left;
    font-size: .7rem;
    margin-bottom: 12px;
}

.usephone {
    font-size: 0.7rem;
    float: right;
    margin-bottom: 9px;
    text-decoration: none;
    color: black;
    margin-top: 10px;
}

.text-center {
    display: flex;
    justify-content: center;
}